## ftp.linuxrouter.org.tgz

=== Makefile ===
VERSION = 2
PATCHLEVEL = 2
SUBLEVEL = 19
EXTRAVERSION =-1-LRP

ARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ -e s/arm.*/arm/ -e s/sa110/arm/)

.EXPORT_ALL_VARIABLES:

CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)
TOPDIR	:= $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)

HPATH   	= $(TOPDIR)/include
FINDHPATH	= $(HPATH)/asm $(HPATH)/linux $(HPATH)/scsi $(HPATH)/net

HOSTCC  	=gcc
HOSTCFLAGS	=-Wall -Wstrict-prototypes -O2 -fomit-frame-pointer

CROSS_COMPILE 	=

AS	=$(CROSS_COMPILE)as
LD	=$(CROSS_COMPILE)ld
#
#	foo-bar-gcc for cross builds
#	gcc272 for Debian's old compiler for kernels
#	kgcc for Conectiva, Mandrake and Red Hat 7
#	otherwise 'cc'
#
CC	=$(shell if [ -n "$(CROSS_COMPILE)" ]; then echo $(CROSS_COMPILE)gcc; else \
	$(CONFIG_SHELL) scripts/kwhich gcc272 2>/dev/null || $(CONFIG_SHELL) scripts/kwhich kgcc 2>/dev/null || echo cc; fi) \
	-D__KERNEL__ -I$(HPATH)
CPP	=$(CC) -E
AR	=$(CROSS_COMPILE)ar
NM	=$(CROSS_COMPILE)nm
STRIP	=$(CROSS_COMPILE)strip
OBJCOPY	=$(CROSS_COMPILE)objcopy
OBJDUMP	=$(CROSS_COMPILE)objdump
MAKE	=make
GENKSYMS=/sbin/genksyms

all:	do-it-all

#
# Make "config" the default target if there is no configuration file or
# "depend" the target if there is no top-level dependency information.
#
ifeq (.config,$(wildcard .config))
include .config
ifeq (.depend,$(wildcard .depend))
include .depend
do-it-all:	Version vmlinux
else
CONFIGURATION = depend
do-it-all:	depend
endif
else
CONFIGURATION = config
do-it-all:	config
endif

#
# ROOT_DEV specifies the default root-device when making the image.
# This can be either FLOPPY, CURRENT, /dev/xxxx or empty, in which case
# the default of FLOPPY is used by 'build'.
#

ROOT_DEV = CURRENT

KERNELRELEASE=$(VERSION).$(PATCHLEVEL).$(SUBLEVEL)$(EXTRAVERSION)

#
# INSTALL_PATH specifies where to place the updated kernel and system map
# images.  Uncomment if you want to place them anywhere other than root.

#INSTALL_PATH=/boot

#
# INSTALL_MOD_PATH specifies a prefix to MODLIB for module directory 
# relocations required by build roots.  This is not defined in the
# makefile but the argument can be passed to make if needed.
#

#
# If you want to preset the SVGA mode, uncomment the next line and
# set SVGA_MODE to whatever number you want.
# Set it to -DSVGA_MODE=NORMAL_VGA if you just want the EGA/VGA mode.
# The number is the same as you would ordinarily press at bootup.
#

SVGA_MODE=	-DSVGA_MODE=NORMAL_VGA

#
# standard CFLAGS
#

CFLAGS = -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer

# use '-fno-strict-aliasing', but only if the compiler can take it
CFLAGS += $(shell if $(CC) -fno-strict-aliasing -S -o /dev/null -xc /dev/null >/dev/null 2>&1; then echo "-fno-strict-aliasing"; fi)

ifdef CONFIG_SMP
CFLAGS += -D__SMP__
AFLAGS += -D__SMP__
endif

#
# if you want the RAM disk device, define this to be the
# size in blocks.
#

#RAMDISK = -DRAMDISK=512

# Include the make variables (CC, etc...)
#

CORE_FILES	=kernel/kernel.o mm/mm.o fs/fs.o ipc/ipc.o
FILESYSTEMS	=fs/filesystems.a
NETWORKS	=net/network.a
DRIVERS		=drivers/block/block.a \
		 drivers/char/char.o \
	         drivers/misc/misc.a
LIBS		=$(TOPDIR)/lib/lib.a
SUBDIRS		=kernel drivers mm fs net ipc lib

ifdef CONFIG_NUBUS
DRIVERS := $(DRIVERS) drivers/nubus/nubus.a
endif

ifeq ($(CONFIG_ISDN),y)
DRIVERS := $(DRIVERS) drivers/isdn/isdn.a
endif

DRIVERS := $(DRIVERS) drivers/net/net.a

ifeq ($(CONFIG_SCSI),y)
DRIVERS := $(DRIVERS) drivers/scsi/scsi.a
endif

ifneq ($(CONFIG_CD_NO_IDESCSI)$(CONFIG_BLK_DEV_IDECD)$(CONFIG_BLK_DEV_SR)$(CONFIG_PARIDE_PCD),)
DRIVERS := $(DRIVERS) drivers/cdrom/cdrom.a
endif

ifeq ($(CONFIG_SOUND),y)
DRIVERS := $(DRIVERS) drivers/sound/sounddrivers.o
endif

ifdef CONFIG_PCI
DRIVERS := $(DRIVERS) drivers/pci/pci.a
endif

ifdef CONFIG_DIO
DRIVERS := $(DRIVERS) drivers/dio/dio.a
endif

ifdef CONFIG_SBUS
DRIVERS := $(DRIVERS) drivers/sbus/sbus.a
endif

ifdef CONFIG_ZORRO
DRIVERS := $(DRIVERS) drivers/zorro/zorro.a
endif

ifeq ($(CONFIG_FC4),y)
DRIVERS := $(DRIVERS) drivers/fc4/fc4.a
endif

ifeq ($(CONFIG_NET_FC),y)
DRIVERS := $(DRIVERS) drivers/net/fc/fc.a
endif

ifdef CONFIG_POWERMAC
DRIVERS := $(DRIVERS) drivers/macintosh/macintosh.o
endif

ifdef CONFIG_PNP
DRIVERS := $(DRIVERS) drivers/pnp/pnp.a
endif

ifdef CONFIG_SGI
DRIVERS := $(DRIVERS) drivers/sgi/sgi.a
endif

ifdef CONFIG_VT
DRIVERS := $(DRIVERS) drivers/video/video.a
endif

ifeq ($(CONFIG_PARIDE),y)
DRIVERS := $(DRIVERS) drivers/block/paride/paride.a
endif

ifdef CONFIG_HAMRADIO
DRIVERS := $(DRIVERS) drivers/net/hamradio/hamradio.a
endif

ifeq ($(CONFIG_TC),y)
DRIVERS := $(DRIVERS) drivers/tc/tc.a
endif

ifeq ($(CONFIG_USB),y)
DRIVERS := $(DRIVERS) drivers/usb/usbdrv.o
endif

ifeq ($(CONFIG_I2O),y)
DRIVERS := $(DRIVERS) drivers/i2o/i2o.a
endif

ifeq ($(CONFIG_IRDA),y)
DRIVERS := $(DRIVERS) drivers/net/irda/irda_drivers.a
endif

ifeq ($(CONFIG_I2O),y)
DRIVERS := $(DRIVERS) drivers/i2o/i2o.a
endif

ifeq ($(CONFIG_PHONE),y)
DRIVERS := $(DRIVERS) drivers/telephony/telephony.a
endif

include arch/$(ARCH)/Makefile

.S.s:
	$(CC) -D__ASSEMBLY__ $(AFLAGS) -traditional -E -o $*.s $<
.S.o:
	$(CC) -D__ASSEMBLY__ $(AFLAGS) -traditional -c -o $*.o $<

Version: dummy
	@rm -f include/linux/compile.h

boot: vmlinux
	@$(MAKE) -C arch/$(ARCH)/boot

vmlinux: $(CONFIGURATION) init/main.o init/version.o linuxsubdirs
	$(LD) $(LINKFLAGS) $(HEAD) init/main.o init/version.o \
		--start-group \
		$(CORE_FILES) \
		$(FILESYSTEMS) \
		$(NETWORKS) \
		$(DRIVERS) \
		$(LIBS) \
		--end-group \
		-o vmlinux
	$(NM) vmlinux | grep -v '\(compiled\)\|\(\.o$$\)\|\( [aU] \)\|\(\.\.ng$$\)\|\(LASH[RL]DI\)' | sort > System.map

symlinks:
	rm -f include/asm
	( cd include ; ln -sf asm-$(ARCH) asm)
	@if [ ! -d modules ]; then \
		mkdir modules; \
	fi
	@if [ ! -d include/linux/modules ]; then \
		mkdir include/linux/modules; \
	fi

oldconfig: symlinks
	$(CONFIG_SHELL) scripts/Configure -d arch/$(ARCH)/config.in

xconfig: symlinks
	$(MAKE) -C scripts kconfig.tk
	wish -f scripts/kconfig.tk

menuconfig: include/linux/version.h symlinks
	$(MAKE) -C scripts/lxdialog all
	$(CONFIG_SHELL) scripts/Menuconfig arch/$(ARCH)/config.in

config: symlinks
	$(CONFIG_SHELL) scripts/Configure arch/$(ARCH)/config.in

include/config/MARKER: scripts/split-include include/linux/autoconf.h
	scripts/split-include include/linux/autoconf.h include/config
	@ touch include/config/MARKER

linuxsubdirs: $(patsubst %, _dir_%, $(SUBDIRS))

$(patsubst %, _dir_%, $(SUBDIRS)) : dummy include/config/MARKER
	$(MAKE) -C $(patsubst _dir_%, %, $@)

$(TOPDIR)/include/linux/version.h: include/linux/version.h
$(TOPDIR)/include/linux/compile.h: include/linux/compile.h

newversion:
	@if [ ! -f .version ]; then \
		echo 1 > .version; \
	else \
		expr 0`cat .version` + 1 > .version; \
	fi

include/linux/compile.h: $(CONFIGURATION) include/linux/version.h newversion
	@echo -n \#define UTS_VERSION \"\#`cat .version` > .ver
	@if [ -n "$(CONFIG_SMP)" ] ; then echo -n " SMP" >> .ver; fi
	@if [ -f .name ]; then  echo -n \-`cat .name` >> .ver; fi
	@echo ' '`LANG=C date`'"' >> .ver
	@echo \#define LINUX_COMPILE_TIME \"`LANG=C date +%T`\" >> .ver
	@echo \#define LINUX_COMPILE_BY \"`whoami`\" >> .ver
	@echo \#define LINUX_COMPILE_HOST \"`hostname`\" >> .ver
	@if [ -x /bin/dnsdomainname ]; then \
	   echo \#define LINUX_COMPILE_DOMAIN \"`dnsdomainname`\"; \
	 elif [ -x /bin/domainname ]; then \
	   echo \#define LINUX_COMPILE_DOMAIN \"`domainname`\"; \
	 else \
	   echo \#define LINUX_COMPILE_DOMAIN ; \
	 fi >> .ver
	@echo \#define LINUX_COMPILER \"`$(CC) $(CFLAGS) -v 2>&1 | tail -1`\" >> .ver
	@mv -f .ver $@

include/linux/version.h: ./Makefile
	@echo \#define UTS_RELEASE \"$(KERNELRELEASE)\" > .ver
	@echo \#define LINUX_VERSION_CODE `expr $(VERSION) \\* 65536 + $(PATCHLEVEL) \\* 256 + $(SUBLEVEL)` >> .ver
	@echo '#define KERNEL_VERSION(a,b,c) (((a) << 16) + ((b) << 8) + (c))' >>.ver
	@mv -f .ver $@

init/version.o: init/version.c include/linux/compile.h include/config/MARKER
	$(CC) $(CFLAGS) -DUTS_MACHINE='"$(ARCH)"' -c -o init/version.o init/version.c

init/main.o: init/main.c include/config/MARKER
	$(CC) $(CFLAGS) $(PROFILING) -c -o $*.o $<

fs lib mm ipc kernel drivers net: dummy
	$(MAKE) $(subst $@, _dir_$@, $@)

MODFLAGS += -DMODULE
ifdef CONFIG_MODULES
ifdef CONFIG_MODVERSIONS
MODFLAGS += -DMODVERSIONS -include $(HPATH)/linux/modversions.h
endif

modules: include/config/MARKER $(patsubst %, _mod_%, $(SUBDIRS))  

$(patsubst %, _mod_%, $(SUBDIRS)) : include/linux/version.h
	$(MAKE) -C $(patsubst _mod_%, %, $@) CFLAGS="$(CFLAGS) $(MODFLAGS)" MAKING_MODULES=1 modules

modules_install:
	@( \
	MODLIB=$(INSTALL_MOD_PATH)/lib/modules/$(KERNELRELEASE); \
	mkdir -p $$MODLIB; \
	rm -f $$MODLIB/build; \
	[ `/sbin/insmod -V 2>&1 | head -1 | awk '/^insmod version /{split($$3, a, /\./); printf "%d%03d%03d\n", a[1], a[2], a[3];}'`0 -ge 20030140 ] && \
	ln -s `pwd` $$MODLIB/build; \
	cd modules; \
	MODULES=""; \
	inst_mod() { These="`cat $$1`"; MODULES="$$MODULES $$These"; \
		mkdir -p $$MODLIB/$$2; cp $$These $$MODLIB/$$2; \
		echo Installing modules under $$MODLIB/$$2; \
	}; \
	\
	if [ -f BLOCK_MODULES ]; then inst_mod BLOCK_MODULES block; fi; \
	if [ -f NET_MODULES   ]; then inst_mod NET_MODULES   net;   fi; \
	if [ -f IPV4_MODULES  ]; then inst_mod IPV4_MODULES  ipv4;  fi; \
	if [ -f IPV6_MODULES  ]; then inst_mod IPV6_MODULES  ipv6;  fi; \
	if [ -f SCSI_MODULES  ]; then inst_mod SCSI_MODULES  scsi;  fi; \
	if [ -f FS_MODULES    ]; then inst_mod FS_MODULES    fs;    fi; \
	if [ -f NLS_MODULES   ]; then inst_mod NLS_MODULES   fs;    fi; \
	if [ -f CDROM_MODULES ]; then inst_mod CDROM_MODULES cdrom; fi; \
	if [ -f HAM_MODULES   ]; then inst_mod HAM_MODULES   net;   fi; \
	if [ -f SOUND_MODULES ]; then inst_mod SOUND_MODULES sound; fi; \
	if [ -f VIDEO_MODULES ]; then inst_mod VIDEO_MODULES video; fi; \
	if [ -f FC4_MODULES   ]; then inst_mod FC4_MODULES   fc4;   fi; \
	if [ -f IRDA_MODULES  ]; then inst_mod IRDA_MODULES  net;   fi; \
	if [ -f USB_MODULES   ]; then inst_mod USB_MODULES   usb;   fi; \
	if [ -f USB_SERIAL_MODULES ]; then inst_mod USB_SERIAL_MODULES usb; fi; \
	if [ -f SK98LIN_MODULES ]; then inst_mod SK98LIN_MODULES  net;   fi; \
	if [ -f SKFP_MODULES ]; then inst_mod SKFP_MODULES   net;   fi; \
	\
	for f in *.o; do [ -r $$f ] && echo $$f; done | sort > $$MODLIB/.allmods; \
	echo $$MODULES | tr ' ' '\n' | sort | comm -23 $$MODLIB/.allmods - > $$MODLIB/.misc; \
	if [ -s $$MODLIB/.misc ]; then inst_mod $$MODLIB/.misc misc; fi; \
	rm -f $$MODLIB/.misc $$MODLIB/.allmods; \
	)

# modules disabled....

else
modules modules_install: dummy
	@echo
	@echo "The present kernel configuration has modules disabled."
	@echo "Type 'make config' and enable loadable module support."
	@echo "Then build a kernel with module support enabled."
	@echo
	@exit 1
endif

clean:	archclean
	rm -f kernel/ksyms.lst include/linux/compile.h
	rm -f core `find . -name '*.[oas]' ! \( -regex '.*lxdialog/.*' \
		-o -regex '.*ksymoops/.*' \) -print`
	rm -f core `find . -type f -name 'core' -print`
	rm -f core `find . -name '.*.flags' -print`
	rm -f vmlinux System.map
	rm -f .tmp*
	rm -f drivers/char/consolemap_deftbl.c drivers/video/promcon_tbl.c
	rm -f drivers/char/conmakehash
	rm -f drivers/sound/bin2hex drivers/sound/hex2hex
	if [ -d modules ]; then \
		rm -f core `find modules/ -type f -print`; \
	fi
	rm -f submenu*

mrproper: clean archmrproper
	rm -f include/linux/autoconf.h include/linux/version.h
	rm -f drivers/net/hamradio/soundmodem/sm_tbl_{afsk1200,afsk2666,fsk9600}.h
	rm -f drivers/net/hamradio/soundmodem/sm_tbl_{hapn4800,psk4800}.h
	rm -f drivers/net/hamradio/soundmodem/sm_tbl_{afsk2400_7,afsk2400_8}.h
	rm -f drivers/net/hamradio/soundmodem/gentbl
	rm -f drivers/char/hfmodem/gentbl drivers/char/hfmodem/tables.h
	rm -f drivers/sound/*_boot.h drivers/sound/.*.boot
	rm -f drivers/sound/msndinit.c
	rm -f drivers/sound/msndperm.c
	rm -f drivers/sound/pndsperm.c

=== arlan/Makefile ===

EXTRA=-DMODE_640
LINUXVERSION	= $(shell uname -r)
TOPDIR		= /usr
HPATH   	= $(TOPDIR)/include
MODLIB=/lib/modules/$(LINUXVERSION)
VER = 0.2

CCFLAGS =  -DMODULE -Wall -DMODVERSIONS -include \
	$(HPATH)/linux/modversions.h -Wstrict-prototypes \
	 -Wwrite-strings -Wredundant-decls -O3 -m486 \
	-D__KERNEL__ $(EXTRA) -I$(HPATH)

all: arlan.o

arlan.o: arlan.c
	gcc $(CCFLAGS) -c arlan.c
	chmod a+r arlan.o

install: arlan.o
	- ifconfig arlan0 down
	- rmmod arlan
	mkdir -p $(MODLIB)/misc
	cp -p arlan.o $(MODLIB)/misc
	/sbin/depmod -a
	sync
	/sbin/modprobe -r arlan
	cp -p arlan /etc/rc.d/init.d/arlan 
	chmod a+rx /etc/rc.d/init.d/arlan
	- rm -f /etc/rc.d/rc3.d/S05arla
	- rm -f /etc/rc.d/rc3.d/S05arlan
	ln -s /etc/rc.d/init.d/arlan /etc/rc.d/rc3.d/S05arlan

clean:
	rm -f *.o


release:
	tar cvf -  README arlan.c Makefile arlan arlan.lsm | gzip > arlan_$(VER).tgz

=== ash-0.3.4-6-termios/Makefile ===
#	$NetBSD: Makefile,v 1.37 1998/01/21 10:47:37 christos Exp $
#	@(#)Makefile	8.4 (Berkeley) 5/5/95

PROG=	sh
SHSRCS=	alias.c cd.c echo.c error.c eval.c exec.c expand.c hetio.c\
	histedit.c input.c jobs.c mail.c main.c memalloc.c miscbltin.c \
	mystring.c options.c parser.c redir.c show.c test.c trap.c output.c \
	var.c setmode.c
GENSRCS=arith.c arith_lex.c builtins.c builtins.h init.c nodes.c nodes.h \
	syntax.c syntax.h token.h
SRCS=	${SHSRCS} ${GENSRCS}

LDADD+=	-lfl
DPADD+=	${LIBL} ${LIBEDIT} ${LIBTERMCAP}

LFLAGS= -8	# 8-bit lex scanner for arithmetic

#Termios based history and editting.
CPPFLAGS+= -DHETIO

CPPFLAGS+=-DSHELL -I. -I${.CURDIR}

# XXX
.if (${MACHINE_ARCH} == "powerpc")
CFLAGS+= -w
.endif

.PATH:	${.CURDIR}/bltin ${.CURDIR}/../../usr.bin/printf

CLEANFILES+= mkinit mknodes mksyntax
CLEANFILES+= mkinit.o mknodes.o mksyntax.o
CLEANFILES+= ${GENSRCS} y.tab.h

token.h: mktokens
	sh ${.CURDIR}/mktokens

builtins.c builtins.h: mkbuiltins builtins.def
	cd ${.CURDIR}; sh mkbuiltins ${.OBJDIR}

init.c: mkinit ${SHSRCS}
	./mkinit ${.ALLSRC:S/^mkinit$//}

nodes.c nodes.h: mknodes nodetypes nodes.c.pat
	./mknodes ${.CURDIR}/nodetypes ${.CURDIR}/nodes.c.pat

syntax.c syntax.h: mksyntax
	./mksyntax

signames.h: mksignames
	./mksignames > signames.h

.include <bsd.prog.mk>

${OBJS}: builtins.h nodes.h syntax.h token.h signames.h

=== busybox-0.43/Makefile ===
# Makefile for busybox
#
# Copyright (C) 1999-2000 Erik Andersen <andersee@debian.org>
# Copyright (C) 2000 Karl M. Hegbloom <karlheg@debian.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#

PROG      := busybox
VERSION   := 0.43
BUILDTIME := $(shell TZ=UTC date --utc "+%Y.%m.%d-%H:%M%z")
export VERSION

# Set the following to `true' to make a debuggable build.
# Leave this set to `false' for production use.
# eg: `make DODEBUG=true tests'
DODEBUG = false

# If you want a static binary, turn this on.
DOSTATIC = false

# This will choke on a non-debian system
ARCH =`uname -m | sed -e 's/i.86/i386/' | sed -e 's/sparc.*/sparc/'`

CC = gcc

GCCMAJVERSION = $(shell $(CC) --version | sed -n "s/^[^0-9]*\([0-9]\)\.\([0-9].*\)[\.].*/\1/p")
GCCMINVERSION = $(shell $(CC) --version | sed -n "s/^[^0-9]*\([0-9]\)\.\([0-9].*\)[\.].*/\2/p")


GCCSUPPORTSOPTSIZE = $(shell			\
if ( test $(GCCMAJVERSION) -eq 2 ) ; then	\
    if ( test $(GCCMINVERSION) -ge 66 ) ; then	\
	echo "true";				\
    else					\
	echo "false";				\
    fi;						\
else						\
    if ( test $(GCCMAJVERSION) -gt 2 ) ; then	\
	echo "true";				\
    else					\
	echo "false";				\
    fi;						\
fi; )


ifeq ($(GCCSUPPORTSOPTSIZE), true)
    OPTIMIZATION = -Os
else
    OPTIMIZATION = -O2
endif

# Allow alternative stripping tools to be used...
ifndef $(STRIPTOOL)
    STRIPTOOL = strip
endif


# -D_GNU_SOURCE is needed because environ is used in init.c
ifeq ($(DODEBUG),true)
    CFLAGS += -Wall -g -D_GNU_SOURCE
    LDFLAGS = 
    STRIP   =
else
    CFLAGS  += -Wall $(OPTIMIZATION) -fomit-frame-pointer -fno-builtin -D_GNU_SOURCE
    LDFLAGS  = -s
    STRIP    = $(STRIPTOOL) --remove-section=.note --remove-section=.comment $(PROG)
    #Only staticly link when _not_ debugging 
    ifeq ($(DOSTATIC),true)
	LDFLAGS += --static
    endif
endif

ifndef $(PREFIX)
    PREFIX = `pwd`/_install
endif

LIBRARIES =
OBJECTS   = $(shell ./busybox.sh) busybox.o messages.o utility.o
CFLAGS    += -DBB_VER='"$(VERSION)"'
CFLAGS    += -DBB_BT='"$(BUILDTIME)"'
ifdef BB_INIT_SCRIPT
    CFLAGS += -DINIT_SCRIPT='"$(BB_INIT_SCRIPT)"'
endif

all: busybox busybox.links

busybox: $(OBJECTS)
	$(CC) $(LDFLAGS) -o $@ $^ $(LIBRARIES)
	$(STRIP)
	$(MAKE) -C docs
	
busybox.links: busybox.def.h
	- ./busybox.mkll | sort >$@

regexp.o nfsmount.o: %.o: %.h
$(OBJECTS): %.o: busybox.def.h internal.h  %.c Makefile

test tests:
	cd tests && $(MAKE) all

clean:
	- rm -f busybox.links *~ *.o core
	- rm -rf _install
	- cd tests && $(MAKE) clean

distclean: clean
	- rm -f busybox
	- cd tests && $(MAKE) distclean

install: busybox busybox.links
	./install.sh $(PREFIX)

dist release: distclean
	$(MAKE) -C docs
	cd ..;					\
	rm -rf busybox-$(VERSION);		\
	cp -a busybox busybox-$(VERSION);	\
						\
	find busybox-$(VERSION)/ -type d	\
				 -name CVS	\
				 -print		\
		| xargs rm -rf;			\
						\
	find busybox-$(VERSION)/ -type f	\
				 -name .cvsignore \
				 -print		\
		| xargs rm -f;			\
						\
	tar -cvzf busybox-$(VERSION).tar.gz busybox-$(VERSION)/;

=== busybox-0.44pre/Makefile ===
# Makefile for busybox
#
# Copyright (C) 1999-2000 Erik Andersen <andersee@debian.org>
# Copyright (C) 2000 Karl M. Hegbloom <karlheg@debian.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#

PROG      := busybox
VERSION   := 0.44pre
BUILDTIME := $(shell TZ=UTC date --utc "+%Y.%m.%d-%H:%M%z")
export VERSION

# Set the following to `true' to make a debuggable build.
# Leave this set to `false' for production use.
# eg: `make DODEBUG=true tests'
DODEBUG = false

# If you want a static binary, turn this on.
DOSTATIC = false

# This will choke on a non-debian system
ARCH =`uname -m | sed -e 's/i.86/i386/' | sed -e 's/sparc.*/sparc/'`

CC = gcc

GCCMAJVERSION = $(shell $(CC) --version | sed -n "s/^[^0-9]*\([0-9]\)\.\([0-9].*\)[\.].*/\1/p")
GCCMINVERSION = $(shell $(CC) --version | sed -n "s/^[^0-9]*\([0-9]\)\.\([0-9].*\)[\.].*/\2/p")


GCCSUPPORTSOPTSIZE = $(shell			\
if ( test $(GCCMAJVERSION) -eq 2 ) ; then	\
    if ( test $(GCCMINVERSION) -ge 66 ) ; then	\
	echo "true";				\
    else					\
	echo "false";				\
    fi;						\
else						\
    if ( test $(GCCMAJVERSION) -gt 2 ) ; then	\
	echo "true";				\
    else					\
	echo "false";				\
    fi;						\
fi; )


ifeq ($(GCCSUPPORTSOPTSIZE), true)
    OPTIMIZATION = -Os
else
    OPTIMIZATION = -O2
endif

# Allow alternative stripping tools to be used...
ifndef $(STRIPTOOL)
    STRIPTOOL = strip
endif


# -D_GNU_SOURCE is needed because environ is used in init.c
ifeq ($(DODEBUG),true)
    CFLAGS += -Wall -g -D_GNU_SOURCE
    LDFLAGS = 
    STRIP   =
else
    CFLAGS  += -Wall $(OPTIMIZATION) -fomit-frame-pointer -fno-builtin -D_GNU_SOURCE
    LDFLAGS  = -s
    STRIP    = $(STRIPTOOL) --remove-section=.note --remove-section=.comment $(PROG)
    #Only staticly link when _not_ debugging 
    ifeq ($(DOSTATIC),true)
	LDFLAGS += --static
    endif
endif

ifndef $(PREFIX)
    PREFIX = `pwd`/_install
endif

LIBRARIES =
OBJECTS   = $(shell ./busybox.sh) busybox.o messages.o utility.o
CFLAGS    += -DBB_VER='"$(VERSION)"'
CFLAGS    += -DBB_BT='"$(BUILDTIME)"'
ifdef BB_INIT_SCRIPT
    CFLAGS += -DINIT_SCRIPT='"$(BB_INIT_SCRIPT)"'
endif

all: busybox busybox.links

busybox: $(OBJECTS)
	$(CC) $(LDFLAGS) -o $@ $^ $(LIBRARIES)
	$(STRIP)
	$(MAKE) -C docs
	
busybox.links: busybox.def.h
	- ./busybox.mkll | sort >$@

regexp.o nfsmount.o: %.o: %.h
$(OBJECTS): %.o: busybox.def.h internal.h  %.c Makefile

test tests:
	cd tests && $(MAKE) all

clean:
	- rm -f busybox.links *~ *.o core
	- rm -rf _install
	- cd tests && $(MAKE) clean

distclean: clean
	- rm -f busybox
	- cd tests && $(MAKE) distclean

install: busybox busybox.links
	./install.sh $(PREFIX)

dist release: distclean
	$(MAKE) -C docs
	cd ..;					\
	rm -rf busybox-$(VERSION);		\
	cp -a busybox busybox-$(VERSION);	\
						\
	find busybox-$(VERSION)/ -type d	\
				 -name CVS	\
				 -print		\
		| xargs rm -rf;			\
						\
	find busybox-$(VERSION)/ -type f	\
				 -name .cvsignore \
				 -print		\
		| xargs rm -f;			\
						\
	tar -cvzf busybox-$(VERSION).tar.gz busybox-$(VERSION)/;

=== busybox-0.46/Makefile ===
# Makefile for busybox
#
# Copyright (C) 1999-2000 Erik Andersen <andersee@debian.org>
# Copyright (C) 2000 Karl M. Hegbloom <karlheg@debian.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#

PROG      := busybox
VERSION   := 0.46
BUILDTIME := $(shell TZ=UTC date --utc "+%Y.%m.%d-%H:%M%z")
export VERSION

# Set the following to `true' to make a debuggable build.
# Leave this set to `false' for production use.
# eg: `make DODEBUG=true tests'
DODEBUG = false

# If you want a static binary, turn this on.
DOSTATIC = false

# To compile vs an alternative libc, you may need to use/adjust
# the following lines to meet your needs.  This is how I did it...
#GCCINCDIR = $(shell gcc -print-search-dirs | sed -ne "s/install: \(.*\)/\1include/gp")
#CFLAGS+=-nostdinc -fno-builtin -I/home/andersen/CVS/uC-libc/include -I$(GCCINCDIR)
#LDFLAGS+=-nostdlib
#LIBRARIES = /home/andersen/CVS/uC-libc/libc.a


CC = gcc

# use '-Os' optimization if available, else use -O2
OPTIMIZATION = $(shell if $(CC) -Os -S -o /dev/null -xc /dev/null >/dev/null 2>&1; \
    then echo "-Os"; else echo "-O2" ; fi)


# Allow alternative stripping tools to be used...
ifndef $(STRIPTOOL)
    STRIPTOOL = strip
endif

# -D_GNU_SOURCE is needed because environ is used in init.c
ifeq ($(DODEBUG),true)
    CFLAGS += -Wall -g -D_GNU_SOURCE
    LDFLAGS += 
    STRIP   =
else
    CFLAGS  += -Wall $(OPTIMIZATION) -fomit-frame-pointer -D_GNU_SOURCE
    LDFLAGS  += -s
    STRIP    = $(STRIPTOOL) --remove-section=.note --remove-section=.comment $(PROG)
    #Only staticly link when _not_ debugging 
    ifeq ($(DOSTATIC),true)
	LDFLAGS += --static
	#
	#use '-ffunction-sections -fdata-sections' and '--gc-sections' if they work
	#to try and strip out any unused junk.  Doesn't do much for me, but you may
	#want to give it a shot...
	#
	#ifeq ($(shell $(CC) -ffunction-sections -fdata-sections -S \
	#	-o /dev/null -xc /dev/null 2>/dev/null && $(LD) --gc-sections -v >/dev/null && echo 1),1)
	#	CFLAGS += -ffunction-sections -fdata-sections
	#	LDFLAGS += --gc-sections
	#endif
    endif
endif

ifndef $(PREFIX)
    PREFIX = `pwd`/_install
endif

OBJECTS   = $(shell ./busybox.sh) busybox.o messages.o utility.o
CFLAGS    += -DBB_VER='"$(VERSION)"'
CFLAGS    += -DBB_BT='"$(BUILDTIME)"'
ifdef BB_INIT_SCRIPT
    CFLAGS += -DINIT_SCRIPT='"$(BB_INIT_SCRIPT)"'
endif

all: busybox busybox.links doc

doc: olddoc

# Old Docs...
olddoc: docs/BusyBox.txt docs/BusyBox.1 docs/BusyBox.html

docs/BusyBox.txt: docs/busybox.pod
	@echo
	@echo BusyBox Documentation
	@echo
	- pod2text docs/busybox.pod > docs/BusyBox.txt

docs/BusyBox.1: docs/busybox.pod
	- pod2man --center=BusyBox --release="version $(VERSION)" docs/busybox.pod > docs/BusyBox.1

docs/BusyBox.html: docs/busybox.lineo.com/BusyBox.html
	- rm -f docs/BusyBox.html
	- ln -s busybox.lineo.com/BusyBox.html docs/BusyBox.html

docs/busybox.lineo.com/BusyBox.html: docs/busybox.pod
	- pod2html --noindex docs/busybox.pod > docs/busybox.lineo.com/BusyBox.html
	- rm -f pod2html*


# New docs based on DOCBOOK SGML
newdoc: docs/busybox.txt docs/busybox.pdf docs/busybox/busybox.html

docs/busybox.txt: docs/busybox.sgml
	@echo
	@echo BusyBox Documentation
	@echo
	(cd docs; sgmltools -b txt busybox.sgml)

docs/busybox.dvi: docs/busybox.sgml
	(cd docs; sgmltools -b dvi busybox.sgml)

docs/busybox.ps: docs/busybox.sgml
	(cd docs; sgmltools -b ps busybox.sgml)

docs/busybox.pdf: docs/busybox.ps
	(cd docs; ps2pdf busybox.ps)

docs/busybox/busybox.html: docs/busybox.sgml
	(cd docs/busybox.lineo.com; sgmltools -b html ../busybox.sgml)



busybox: $(OBJECTS)
	$(CC) $(LDFLAGS) -o $@ $^ $(LIBRARIES)
	$(STRIP)

busybox.links: busybox.def.h
	- ./busybox.mkll | sort >$@

nfsmount.o cmdedit.o: %.o: %.h
$(OBJECTS): %.o: busybox.def.h internal.h  %.c Makefile

test tests:
	cd tests && $(MAKE) all

clean:
	- rm -f busybox.links *~ *.o core
	- rm -rf _install
	- cd tests && $(MAKE) clean
	- rm -f docs/BusyBox.txt docs/BusyBox.1 docs/BusyBox.html \
	    docs/busybox.lineo.com/BusyBox.html
	- rm -f docs/busybox.txt docs/busybox.dvi docs/busybox.ps \
	    docs/busybox.pdf docs/busybox.lineo.com/busybox.html
	- rm -rf docs/busybox

distclean: clean
	- rm -f busybox
	- cd tests && $(MAKE) distclean

install: busybox busybox.links
	./install.sh $(PREFIX)

dist release: distclean doc
	cd ..;					\
	rm -rf busybox-$(VERSION);		\
	cp -a busybox busybox-$(VERSION);	\
						\
	find busybox-$(VERSION)/ -type d	\
				 -name CVS	\
				 -print		\
		| xargs rm -rf;			\
						\
	find busybox-$(VERSION)/ -type f	\
				 -name .cvsignore \
				 -print		\
		| xargs rm -f;			\
						\
	find busybox-$(VERSION)/ -type f	\
				 -name .\#*	\
				 -print		\
		| xargs rm -f;			\
						\
	tar -cvzf busybox-$(VERSION).tar.gz busybox-$(VERSION)/;

.PHONY: tags
tags:
	ctags -R .

=== busybox-0.47pre/Makefile ===
# Makefile for busybox
#
# Copyright (C) 1999-2000 Erik Andersen <andersee@debian.org>
# Copyright (C) 2000 Karl M. Hegbloom <karlheg@debian.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#

PROG      := busybox
VERSION   := 0.47pre
BUILDTIME := $(shell TZ=UTC date --utc "+%Y.%m.%d-%H:%M%z")
export VERSION

# Set the following to `true' to make a debuggable build.
# Leave this set to `false' for production use.
# eg: `make DODEBUG=true tests'
DODEBUG = false

# If you want a static binary, turn this on.
DOSTATIC = false

# To compile vs an alternative libc, you may need to use/adjust
# the following lines to meet your needs.  This is how I did it...
#GCCINCDIR = $(shell gcc -print-search-dirs | sed -ne "s/install: \(.*\)/\1include/gp")
#CFLAGS+=-nostdinc -fno-builtin -I/home/andersen/CVS/uC-libc/include -I$(GCCINCDIR)
#LDFLAGS+=-nostdlib
#LIBRARIES = /home/andersen/CVS/uC-libc/libc.a


CC = gcc

# use '-Os' optimization if available, else use -O2
OPTIMIZATION = $(shell if $(CC) -Os -S -o /dev/null -xc /dev/null >/dev/null 2>&1; \
    then echo "-Os"; else echo "-O2" ; fi)


# Allow alternative stripping tools to be used...
ifndef $(STRIPTOOL)
    STRIPTOOL = strip
endif

# -D_GNU_SOURCE is needed because environ is used in init.c
ifeq ($(DODEBUG),true)
    CFLAGS += -Wall -g -D_GNU_SOURCE
    LDFLAGS += 
    STRIP   =
else
    CFLAGS  += -Wall $(OPTIMIZATION) -fomit-frame-pointer -D_GNU_SOURCE
    LDFLAGS  += -s
    STRIP    = $(STRIPTOOL) --remove-section=.note --remove-section=.comment $(PROG)
    #Only staticly link when _not_ debugging 
    ifeq ($(DOSTATIC),true)
	LDFLAGS += --static
	#
	#use '-ffunction-sections -fdata-sections' and '--gc-sections' if they work
	#to try and strip out any unused junk.  Doesn't do much for me, but you may
	#want to give it a shot...
	#
	#ifeq ($(shell $(CC) -ffunction-sections -fdata-sections -S \
	#	-o /dev/null -xc /dev/null 2>/dev/null && $(LD) --gc-sections -v >/dev/null && echo 1),1)
	#	CFLAGS += -ffunction-sections -fdata-sections
	#	LDFLAGS += --gc-sections
	#endif
    endif
endif

ifndef $(PREFIX)
    PREFIX = `pwd`/_install
endif

OBJECTS   = $(shell ./busybox.sh) busybox.o messages.o utility.o
CFLAGS    += -DBB_VER='"$(VERSION)"'
CFLAGS    += -DBB_BT='"$(BUILDTIME)"'
ifdef BB_INIT_SCRIPT
    CFLAGS += -DINIT_SCRIPT='"$(BB_INIT_SCRIPT)"'
endif

all: busybox busybox.links doc

doc: olddoc

# Old Docs...
olddoc: docs/BusyBox.txt docs/BusyBox.1 docs/BusyBox.html

docs/BusyBox.txt: docs/busybox.pod
	@echo
	@echo BusyBox Documentation
	@echo
	- pod2text docs/busybox.pod > docs/BusyBox.txt

docs/BusyBox.1: docs/busybox.pod
	- pod2man --center=BusyBox --release="version $(VERSION)" docs/busybox.pod > docs/BusyBox.1

docs/BusyBox.html: docs/busybox.lineo.com/BusyBox.html
	- rm -f docs/BusyBox.html
	- ln -s busybox.lineo.com/BusyBox.html docs/BusyBox.html

docs/busybox.lineo.com/BusyBox.html: docs/busybox.pod
	- pod2html --noindex docs/busybox.pod > docs/busybox.lineo.com/BusyBox.html
	- rm -f pod2html*


# New docs based on DOCBOOK SGML
newdoc: docs/busybox.txt docs/busybox.pdf docs/busybox/busybox.html

docs/busybox.txt: docs/busybox.sgml
	@echo
	@echo BusyBox Documentation
	@echo
	(cd docs; sgmltools -b txt busybox.sgml)

docs/busybox.dvi: docs/busybox.sgml
	(cd docs; sgmltools -b dvi busybox.sgml)

docs/busybox.ps: docs/busybox.sgml
	(cd docs; sgmltools -b ps busybox.sgml)

docs/busybox.pdf: docs/busybox.ps
	(cd docs; ps2pdf busybox.ps)

docs/busybox/busybox.html: docs/busybox.sgml
	(cd docs/busybox.lineo.com; sgmltools -b html ../busybox.sgml)



busybox: $(OBJECTS)
	$(CC) $(LDFLAGS) -o $@ $^ $(LIBRARIES)
	$(STRIP)

busybox.links: busybox.def.h
	- ./busybox.mkll | sort >$@

nfsmount.o cmdedit.o: %.o: %.h
$(OBJECTS): %.o: busybox.def.h internal.h  %.c Makefile

test tests:
	cd tests && $(MAKE) all

clean:
	- rm -f busybox.links *~ *.o core
	- rm -rf _install
	cd tests && $(MAKE) clean
	- rm -f docs/BusyBox.txt docs/BusyBox.1 docs/BusyBox.html \
	    docs/busybox.lineo.com/BusyBox.html
	- rm -f docs/busybox.txt docs/busybox.dvi docs/busybox.ps \
	    docs/busybox.pdf docs/busybox.lineo.com/busybox.html
	- rm -rf docs/busybox
	- :> busybox.links

distclean: clean
	- rm -f busybox
	- cd tests && $(MAKE) distclean

install: busybox busybox.links
	./install.sh $(PREFIX)

dist release: distclean doc
	cd ..;					\
	rm -rf busybox-$(VERSION);		\
	cp -a busybox busybox-$(VERSION);	\
						\
	find busybox-$(VERSION)/ -type d	\
				 -name CVS	\
				 -print		\
		| xargs rm -rf;			\
						\
	find busybox-$(VERSION)/ -type f	\
				 -name .cvsignore \
				 -print		\
		| xargs rm -f;			\
						\
	find busybox-$(VERSION)/ -type f	\
				 -name .\#*	\
				 -print		\
		| xargs rm -f;			\
						\
	tar -cvzf busybox-$(VERSION).tar.gz busybox-$(VERSION)/;

.PHONY: tags
tags:
	ctags -R .

=== busybox/Makefile ===

VERSION=0.28
BUILDTIME=$(shell date "+%Y%m%d-%H%M")

#This will choke on a non-debian system
ARCH=$(shell dpkg --print-architecture)
#ARCH=i386


STRIP= strip --remove-section=.note --remove-section=.comment busybox
LDFLAGS= -s

CFLAGS=-Wall -O2 -fomit-frame-pointer -fno-builtin -D_GNU_SOURCE
LIBRARIES=-lc
OBJECTS=$(shell ./busybox.obj)

CFLAGS+= -DBB_VER='"$(VERSION)"'
CFLAGS+= -DBB_BT='"$(BUILDTIME)"'

# -D_GNU_SOURCE is needed because environ is used in init.c
ifdef INCLUDE_DINSTALL
  CFLAGS+= -DINCLUDE_DINSTALL
  LIBRARIES+= -lnewt -lslang
ifeq ($(ARCH),sparc)
  LIBRARIES+= -lm
endif
  OBJECTS+= $(patsubst %.c,%.o,$(wildcard ../dinstall/*.c)) \
	  ../libfdisk/libfdisk.a
endif

all: busybox links

busybox: $(OBJECTS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o busybox $(OBJECTS) $(LIBRARIES)
	$(STRIP)

links:
	- ./busybox.mkll | sort >busybox.links
	
../libfdisk/libfdisk.a: force
	$(MAKE) -C ../libfdisk libfdisk.a

clean:
	- rm -f busybox busybox.links *~ *.o 

distclean: clean
	- rm -f busybox

force:

=== ctar-14/Makefile ===
CC=gcc 
# debug flags
#CFLAGS=-c -Wall -DVERBOSE -DDEBUG -ggdb
# release flags
CFLAGS=-O3 -Wall -c
LDFLAGS=
#-L/usr/local/lib -ldmalloc 

all: ctar untar

untar: untar.o
	$(CC) -o untar untar.o
	strip $@

# debug target
#ctar: main.o misc.o create.o dump.o ctar.h
#	$(CC) $(LDFLAGS) -o ctar main.o misc.o create.o dump.o /usr/local/lib/*.o

# release target
ctar: main.o misc.o create.o dump.o ctar.h
	$(CC) -o ctar main.o misc.o create.o dump.o
	strip $@
	
main.o: main.c ctar.h
	$(CC) $(CFLAGS) -o main.o main.c

misc.o: misc.c ctar.h
	$(CC) $(CFLAGS) -o misc.o misc.c

create.o: create.c ctar.h
	$(CC) $(CFLAGS) -o create.o create.c

dump.o: dump.c ctar.h
	$(CC) $(CFLAGS) -o dump.o dump.c
	
untar.o: untar.c ctar.h
	$(CC) $(CFLAGS) -o untar.o untar.c

clean:
	rm -rf *.o core

=== dhcp-2.0pl3/Makefile ===
# Makefile.conf
#
# Copyright (c) 1996, 1997, 1998, 1999 The Internet Software Consortium.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. Neither the name of The Internet Software Consortium nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE INTERNET SOFTWARE CONSORTIUM AND
# CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
# BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
# FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL
# THE INTERNET SOFTWARE CONSORTIUM OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
# OF THE POSSIBILITY OF SUCH DAMAGE.
#

## Defaults...
SCRIPT = none
BINDIR = /usr/sbin
CLIENTBINDIR=/sbin
ADMMANEXT = .0
FFMANEXT = .0
ADMMANDIR = /usr/share/man/cat8
FFMANDIR = /usr/share/man/cat5
INSTALL = install -c
MANINSTALL = install -c -m 444
CHMOD = chmod
CATMANPAGES =
MANCAT = cat
ETC = /etc
VARRUN = /var/run
VARDB = /var/db
CLIENT_PATH = '"PATH=/usr/ucb:/usr/bin:/usr/sbin:/bin:/sbin"'

# Major version number (if applicable)
##--majver--
MAJORVERSION=2
##--majver--

# Minor version number (if applicable)
##--minver--
MINORVERSION=2
##--minver--

## Porting::
#
# For each supported operating system, there is a block of text below
# beginning with #--os-name-- and ending with #--os-name--.   Between
# these delimiters are assignments, commented out, which define the
# Makefile variables required for that operating system.
#
# The configure shell script figures out what operating system it's
# being run on and then runs Makefile.dist through a sed script which
# removes the comment characters from the appropriate set of
# assignments, and writes the output to Makefile.

## AIX 4.1.5.0
##--aix--
#CF = cf/aix.h
#CC=cc -Daix
#INSTALL=/usr/ucb/install
#MANINSTALL=/usr/ucb/install
#ADMMANEXT = .8
#FFMANEXT = .5
#VARRUN = /etc
#VARDB = /etc
##--aix--

## NEXTSTEP 3.x,4.x
##--nextstep--
#LIBS =
#CF = cf/nextstep.h
#CC=cc
#COPTS = -Wall
#BINDIR=/usr/etc
#ADMMANDIR = /usr/local/man/cat8
#FFMANDIR = /usr/local/man/cat5
#ADMMANEXT = .8
#FFMANEXT = .5
#VARRUN = /etc
#VARDB = /etc
##--nextstep--

## SunOS 4.1
##--sunos4--
#LIBS = -lresolv
#CF = cf/sunos4.h
#BINDIR=/usr/etc
#CLIENTBINDIR=/etc
#ADMMANEXT = .8
#FFMANEXT = .5
#VARRUN = /etc
#VARDB = /etc
##--sunos4--

## Solaris 2.5 (with gcc)
##--sunos5-gcc--
#INSTALL=/usr/ucb/install
#MANINSTALL=/usr/ucb/install
#LIBS = -lresolv -lsocket -lnsl -lgen
#CC=gcc
#COPTS = -Wall -Wno-unused -Wno-implicit -Wno-comment \
#	 -Wno-uninitialized -Wno-char-subscripts -Werror
#CF = cf/sunos5-5.h
#ADMMANDIR = /usr/share/man/cat1m
#ADMMANEXT = .1m
#FFMANDIR = /usr/share/man/cat4
#FFMANEXT = .4
#VARRUN = /etc
#VARDB = /etc
#SCRIPT=solaris
##--sunos5-gcc--

## Solaris 2.5 (with Sun cc)
##--sunos5-cc--
#INSTALL=/usr/ucb/install
#MANINSTALL=/usr/ucb/install
#LIBS = -lresolv -lsocket -lnsl -lgen
#CC=cc
#COPTS = -D__svr4__
#CF = cf/sunos5-5.h
#ADMMANDIR = /usr/share/man/cat1m
#ADMMANEXT = .1m
#FFMANDIR = /usr/share/man/cat4
#FFMANEXT = .4
#VARRUN = /etc
#VARDB = /etc
#SCRIPT=solaris
##--sunos5-cc--

## DEC Alpha/OSF1
##--alphaosf--
#CC=cc -std0
#INSTALL=/usr/ucb/installbsd
#MANINSTALL=/usr/ucb/installbsd
#LIBS=
#CF = cf/alphaosf.h
#ADMMANEXT = .8
#FFMANEXT = .5
#VARDB = /etc
##--alphaosf--

## BSD/OS 2.1
##--bsdos--
#LIBS= -lresolv
#CC=gcc2
#CF = cf/bsdos.h
##--bsdos--

## FreeBSD
##--freebsd--
#CF = cf/freebsd.h
#SCRIPT=freebsd
##--freebsd--

## Rhapsody
##--rhapsody--
#CF = cf/rhapsody.h
#COPTS  = -Wall -Wno-unused -Wno-implicit -Wno-comment \
#	  -Wno-uninitialized -Werror -pipe
#SCRIPT=rhapsody
##--rhapsody--

## NetBSD
##--netbsd--
#CF = cf/netbsd.h
#COPTS  = -Wall -Wstrict-prototypes -Wno-unused -Wno-implicit -Wno-comment \
#	  -Wno-uninitialized -Werror -pipe
#SCRIPT=netbsd
##--netbsd--

## Ultrix
##--ultrix--
#BINDIR = /usr/etc
#CLIENTBINDIR=/etc
#VARRUN = /etc
#VARDB = /etc
#CF = cf/ultrix.h
#ADMMANDIR = /usr/man/man8
#ADMMANEXT = .8
#FFMANDIR = /usr/man/man5
#FFMANEXT = .5
##--ultrix--

## Linux 1.x
##--linux-1--
#COPTS = -DLINUX_MAJOR=$(MAJORVERSION) -DLINUX_MINOR=$(MINORVERSION)
#CF = cf/linux.h
#ADMMANDIR = /usr/man/man8
#ADMMANEXT = .8
#FFMANDIR = /usr/man/man5
#FFMANEXT = .5
#MANCAT = man
#VARRUN = /var/run
#VARDB = /var/state/dhcp	# see rationale in includes/cf/linux.h
#SCRIPT=linux
##--linux-1--

## Linux 2.0
##--linux-2.0--
#COPTS = -DLINUX_MAJOR=$(MAJORVERSION) -DLINUX_MINOR=$(MINORVERSION)
#CF = cf/linux.h
#ADMMANDIR = /usr/man/man8
#ADMMANEXT = .8
#FFMANDIR = /usr/man/man5
#FFMANEXT = .5
#MANCAT = man
#VARRUN = /var/run
#VARDB = /var/state/dhcp	# see rationale in includes/cf/linux.h
#SCRIPT=linux
##--linux-2.0--

## Linux 2.1
##--linux-2.1--
#COPTS = -DLINUX_MAJOR=$(MAJORVERSION) -DLINUX_MINOR=$(MINORVERSION)
#CF = cf/linux.h
#ADMMANDIR = /usr/man/man8
#ADMMANEXT = .8
#FFMANDIR = /usr/share/man/man5
#FFMANEXT = .5
#MANCAT = man
#VARRUN = /var/run
#VARDB = /var/state/dhcp	# see rationale in includes/cf/linux.h
#SCRIPT=linux
##--linux-2.1--

## Linux 2.2
#--linux-2.2--
COPTS = -DLINUX_MAJOR=$(MAJORVERSION) -DLINUX_MINOR=$(MINORVERSION)
CF = cf/linux.h
ADMMANDIR = /usr/man/man8
ADMMANEXT = .8
FFMANDIR = /usr/share/man/man5
FFMANEXT = .5
MANCAT = man
VARRUN = /var/run
VARDB = /var/state/dhcp	# see rationale in includes/cf/linux.h
SCRIPT=linux
#--linux-2.2--

## SCO
##--sco--
#CF = cf/sco.h
#PREDEFINES=-DSCO -DBROKEN_ANSI
#BINDIR = /usr/etc
#CLIENTBINDIR=/etc
#ADMMANDIR = /usr/man/cat.ADMN
#ADMMANEXT = .ADMN.Z
#FFMANDIR = /usr/man/cat.SFF
#FFMANEXT = .SFF.Z
#INSTALL = cp
#MANFROM = <
#MANINSTALL = compress
#MANTO = >
#VARRUN = /etc
#VARDB = /etc
#CATMANPAGES=
##--sco--

## QNX
##--qnx--
#CF = cf/qnx.h
#ADMMANDIR = /usr/man/man8
#ADMMANEXT = .8
#FFMANDIR = /usr/man/man5
#FFMANEXT = .5
#MANCAT = man
#VARRUN = /etc
#COPTS=-w3 -Dlint
#LFLAGS=$(DEBUG) "-Wl,op symfile" -l socket
#MANINSTALL = /bin/true 
#INSTALL = cp
#BINDIR = /etc
#CLIENTBINDIR = /etc
##--qnx--

## CygWin32
##--cygwin32--
#CF = cf/cygwin32.h
#ADMMANDIR = /usr/man/man8
#ADMMANEXT = .8
#FFMANDIR = /usr/man/man5
#FFMANEXT = .5
#VARRUN = /etc
#MANINSTALL = /bin/true 
#INSTALL = cp
#BINDIR = /etc
#CLIENTBINDIR = /etc
#CC=/usr/local/i386-unknown-cygwin32/bin/gcc
#AR=/usr/local/i386-unknown-cygwin32/bin/ar
#AS=/usr/local/i386-unknown-cygwin32/bin/as
#LD=/usr/local/i386-unknown-cygwin32/bin/ld
#NM=/usr/local/i386-unknown-cygwin32/bin/nm
#RANLIB=/usr/local/i386-unknown-cygwin32/bin/ranlib
#STRIP=/usr/local/i386-unknown-cygwin32/bin/strip
##--cygwin32--

## IRIX 6.x
##--irix--
#LIBS = -lbind
#LFLAGS=$(DEBUG) -L/usr/local/lib -Wl,-woff,84 -Wl,-woff,85 -Wl,-woff,134
#CC=gcc
#COPTS = -I/usr/local/include
#CF = cf/irix.h
#BINDIR = /usr/local/etc
#ADMMANDIR = /usr/local/man/man8
#ADMMANEXT = .8
#FFMANDIR = /usr/local/man/man5
#FFMANEXT = .5
#MANCAT = man
#INSTALL = install
#MANINSTALL = install
#CHMOD = chmod
#ETC = /etc
#VARRUN = /etc
#VARDB = /usr/local/etc/dhcp
##--irix--
# Makefile.dist
#
# Copyright (c) 1996, 1997 The Internet Software Consortium.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. Neither the name of The Internet Software Consortium nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE INTERNET SOFTWARE CONSORTIUM AND
# CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
# BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
# FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL
# THE INTERNET SOFTWARE CONSORTIUM OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
# OF THE POSSIBILITY OF SUCH DAMAGE.
#

SUBDIRS=	common server client relay

all:
	@for dir in ${SUBDIRS}; do \
		echo "Making all in $$dir"; \
		(cd $$dir; $(MAKE) all) || exit 1; \
	 done
	@if [ `uname` = Linux ]; then \
		echo; \
		echo "                   !!!!  WARNING  !!!!"; \
		echo ; \
		echo "The default location for the dhcpd.leases file has \
changed!!!"; \
		echo; \
		echo "It is now in /var/state/dhcp.   If you are not"; \
		echo "installing this for the first time, please move your"; \
		echo "lease database to the new location before using this"; \
		echo "software."; \
		echo; \
		echo "                   !!!!  WARNING  !!!!"; \
		echo; \
	fi

install:
	@for dir in ${SUBDIRS}; do \
		echo "Installing in $$dir"; \
		(cd $$dir; $(MAKE) install) || exit 1; \
	 done
	@if [ `uname` = Linux ]; then \
		echo; \
		echo "                   !!!!  WARNING  !!!!"; \
		echo ; \
		echo "The default location for the dhcpd.leases file has \
changed!!!"; \
		echo; \
		echo "It is now in /var/state/dhcp.   If you are not"; \
		echo "installing this for the first time, please move your"; \
		echo "lease database to the new location before using this"; \
		echo "software."; \
		echo; \
		echo "                   !!!!  WARNING  !!!!"; \
		echo; \
	fi

clean:
	@for dir in ${SUBDIRS}; do \
		echo "Cleaning in $$dir"; \
		(cd $$dir; $(MAKE) clean) || exit 1; \
	 done

realclean:
	@for dir in ${SUBDIRS}; do \
		echo "Really cleaning in $$dir"; \
		(cd $$dir; $(MAKE) realclean) || exit 1; \
	 done

distclean:
	@for dir in ${SUBDIRS}; do \
		echo "Really, really cleaning in $$dir"; \
		(cd $$dir; $(MAKE) distclean) || exit 1; \
	 done
	@rm -f Makefile

=== ezmenu/Makefile ===
CFLAGS=-Wall -O2 
INCLUDE=
LIBRARIES=-lncurses
OBJECTS=$(patsubst %.c,%.o,$(wildcard *.c))

PROG=ezmenu

STRIP= strip --remove-section=.note --remove-section=.comment $(PROG)
LDFLAGS= -s

all: $(PROG)


$(PROG): $(OBJECTS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $(PROG) $(OBJECTS) $(LIBRARIES) $(INCLUDE)
	$(STRIP)


clean:
	- rm -f $(OBJECTS) $(PROG)

=== freeswan-1.00/Makefile ===
# FreeS/WAN master makefile
# Copyright (C) 1998, 1999  Henry Spencer.
# 
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.  See <http://www.fsf.org/copyleft/gpl.txt>.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# RCSID $Id: Makefile,v 1.65 1999/04/11 01:50:48 henry Exp $

# public and private command directories
PUBDIR=/usr/local/sbin
PRIVDIR=/usr/local/lib/ipsec
MANTREE=/usr/local/man

# kernel location, and location of kernel patches in the distribution
KERNELSRC=/usr/src/linux
KCFILE=$(KERNELSRC)/.config
PATCHES=klips/patches
# note, some of the patches know the last part of this path
KERNELKLIPS=$(KERNELSRC)/net/ipsec

# install stuff
INSTALL=install

SHELL=/bin/sh



def:
	@echo "Please read INSTALL before running make"
	@false



# everything that's necessary to put Klips into the kernel
insert:	patches klink device klipsdefaults

# For this ln -s to work with the Linux kernel build stuff, the last 
# components in the local path of the Klips source MUST be the same as
# KERNELKLIPS less the KERNELSRC prefix.  Which is why the Klips source
# now has to be in klips/net/ipsec rather than klips/src.  How annoying.
klink:
	rm -rf $(KERNELKLIPS)
	ln -s `pwd`/klips/net/ipsec $(KERNELKLIPS)

PATCHER=utils/patcher
patches:
	@$(PATCHER) $(PATCHES)/Documentation.Configure.help \
		$(KERNELSRC) Documentation/Configure.help 'IPSEC'
	@$(PATCHER) $(PATCHES)/drivers.isdn.isdn_net.c \
		$(KERNELSRC) drivers/isdn/isdn_net.c 'IPPROTO_ESP'
	@$(PATCHER) $(PATCHES)/drivers.net.Space.c \
		$(KERNELSRC) drivers/net/Space.c 'ipsec'
	@$(PATCHER) $(PATCHES)/include.linux.in.h \
		$(KERNELSRC) include/linux/in.h 'IPPROTO_ESP'
	@$(PATCHER) $(PATCHES)/include.linux.proc_fs.h \
		$(KERNELSRC) include/linux/proc_fs.h 'PROC_NET_IPSEC'
	@$(PATCHER) $(PATCHES)/net.Config.in \
		$(KERNELSRC) net/Config.in 'ipsec'
	@$(PATCHER) $(PATCHES)/net.Makefile \
		$(KERNELSRC) net/Makefile 'CONFIG_IPSEC'
	@$(PATCHER) $(PATCHES)/net.ipv4.af_inet.c \
		$(KERNELSRC) net/ipv4/af_inet.c 'ipsec'
	@$(PATCHER) $(PATCHES)/net.ipv4.protocol.c \
		$(KERNELSRC) net/ipv4/protocol.c 'CONFIG_IPSEC'
	@$(PATCHER) $(PATCHES)/net.netlink.c \
		$(KERNELSRC) net/netlink.c 'open_map&=~.1<<unit.'
	@$(PATCHER) $(PATCHES)/net.netsyms.c \
		$(KERNELSRC) net/netsyms.c 'ip_fragment'

device:
	@if test ! -e /dev/ipsec ; \
	then set -x ; \
	  mknod -m 0200 /dev/ipsec c 36 10 ; \
	fi

klipsdefaults:
	@KERNELDEFCONFIG=$(KERNELSRC)/arch/$(HOSTTYPE)/defconfig ; \
	if ! egrep -q 'CONFIG_IPSEC' $$KERNELDEFCONFIG ; \
	then set -x ; \
	  cp -a $$KERNELDEFCONFIG $$KERNELDEFCONFIG.orig ; \
	  cat $(KERNELKLIPS)/defconfig >>$$KERNELDEFCONFIG ; \
	fi ; \
	if test -w $(KCFILE) ; \
	then KERNELCONFIG=$(KCFILE) ; \
	  if ! egrep -q 'CONFIG_IPSEC' $$KERNELCONFIG ; \
	  then set -x ; \
	    cp -a $$KERNELCONFIG $$KERNELCONFIG.orig ; \
	    cat $(KERNELKLIPS)/defconfig >>$$KERNELCONFIG ; \
	  fi ; \
	fi



# programs

programs:
	cd lib ; $(MAKE)
	cd pluto ; $(MAKE)
	cd klips/utils ; $(MAKE)
	cd utils ; $(MAKE)

SETTINGS=BINDIR=$(PRIVDIR) PUBDIR=$(PUBDIR) PRIVDIR=$(PRIVDIR) \
	MANTREE=$(MANTREE) INSTALL="$(INSTALL)"
install:
	mkdir -p $(PRIVDIR) $(PUBDIR)
	cd lib ; $(MAKE) install $(SETTINGS)
	cd klips/utils ; $(MAKE) install $(SETTINGS)
	cd pluto ; $(MAKE) install $(SETTINGS)
	cd utils ; $(MAKE) install $(SETTINGS)

clean:
	cd lib ; $(MAKE) clean		# looks after gmp and libdes too
	cd klips/utils ; $(MAKE) clean
	cd pluto ; $(MAKE) clean
	cd utils ; $(MAKE) clean



# proxies for major kernel make operations

# do-everything entries
ogo:	insert config     confcheck programs install kernel
menugo:	insert menuconfig confcheck programs install kernel
xgo:	insert xconfig    confcheck programs install kernel

# configuring
xconfig:
	cd $(KERNELSRC) ; $(MAKE) xconfig
menuconfig:
	cd $(KERNELSRC) ; $(MAKE) menuconfig
config:
	cd $(KERNELSRC) ; $(MAKE) config
confcheck:
	@if test ! -f $(KCFILE) ; \
	then echo '*** no kernel configuration file written!!' ; exit 1 ; \
	fi
	@if ! egrep -q '^CONFIG_IPSEC=[my]' $(KCFILE) ; \
	then echo '*** IPSEC not in kernel configuration!!' ; exit 1 ; \
	fi
	@if egrep -q '^CONFIG_IPSEC=m' $(KCFILE) && \
		! egrep -q '^CONFIG_MODULES=y' $(KCFILE) ; \
	then echo '*** IPSEC configured as module in kernel with no module support!!' ; exit 1 ; \
	fi

# kernel building, with error checks
kernel:
	rm -f out.kbuild out.kinstall
	( cd $(KERNELSRC) ; $(MAKE) dep clean zImage ) 2>&1 | tee out.kbuild
	@if egrep -q '^CONFIG_MODULES=y' $(KCFILE) ; \
	then set -x ; \
		( cd $(KERNELSRC) ; \
		$(MAKE) modules 2>&1 ) | tee -a out.kbuild ; \
	fi
	utils/errcheck out.kbuild

# kernel install, with error checks
kinstall:
	rm -f out.kinstall
	( cd $(KERNELSRC) ; $(MAKE) install ) 2>&1 | tee out.kinstall
	@if egrep -q '^CONFIG_MODULES=y' $(KCFILE) ; \
	then set -x ; \
		( cd $(KERNELSRC) ; \
		$(MAKE) modules_install 2>&1 ) | tee -a out.kinstall ; \
	fi
	utils/errcheck out.kinstall



# some oddities meant for the developers, probably of no use to users

# make developer version of symlinks
dlinks:
	cd .. ; top/dtrmklinks -d

=== ae-962/debian/changelog ===
ae (962-14) frozen unstable; urgency=high

  * moved vi script from /usr/bin to /bin which fires up ae like vi.

 -- Dale Scheetz <dwarf@polaris.net>  Sun, 4 May 1997 19:25:02 -0400

ae (962-13) frozen unstable; urgency=low

  * fixed .macro_define bug
  * added ae2vi.rc for vi compatability
  * changed setup in postinst script to set up ae like vi if no vi present

 -- Dale Scheetz <dwarf@polaris.net>  Tue, 22 Apr 1997 12:05:43 -0400

ae (962-12) frozen unstable; urgency=low

  * bug #8350 escaped $ in mode.rc
  * bug #7040 removed spurios files from debian source files, left patches
  * bug #8222 installed gnu patch for alternate architectures
  * added Mark Baker's patch for +lineno, fixes less bug #8036
  * made ae.rc a conffiles

 -- Dale Scheetz <dwarf@polaris.net>  Tue, 1 Apr 1997 13:36:42 -0500

ae (962-11) frozen unstable; urgency=low

  * installed "special character" patch
  * removed execute permissions from man and docs

 -- Dale Scheetz <dwarf@polaris.net>  Wed, 13 Nov 1996 13:25:40 -0500

ae (962-10) unstable; urgency=low

  * removed -N linker option

 -- Dale Scheetz <dwarf@polaris.net>  Mon, 23 Sep 1996 10:03:05 -0400

ae (962-9) unstable; urgency=low

  * convert to new source format
  * remove Essential field

 -- Dale Scheetz <dwarf@polaris.net>  Sun, 1 Sept 1996 15:24:14 +0400

Changes for ae-962-8
	elf package
	* source package multi-architecture compatability hanges

Changes for ae-962-7
	elf package
	* added "PRIORITY: required" field to control file.
	* The debian-specific change in main.c:lineinput() to put
          terminal into raw mode turned off ICRNL.  Put terminal
          into half-baked mode by turning ICRNL back on here.

Changes for ae-962-6
	elf package
	* changes in main.c:lineinput() to avoid problem working with
	  ncurses-1.9.9e.

Changes for ae-962-5
	elf package
	* added Essential field to control file
	* added keybinding aliases to /etc/ae.rc
	* ^r, ^w, ^c (on menu) = read, write, quit-ask
	* ^f, ^b, ^p, ^n (not on menu) = forward, back, up, down

Changes for ae-962-4
	elf package
	* changed package version number format from 96.2 to 962
          (representing Feb, 96).  This is so that dselect will
	  upgrade instances of the previous ae-493 (representing
	  April, 93) package to this new one.

Changes for ae-96.2-3
	elf package
	* moved ae from /usr/bin to /bin

Changes for ae-96.2-2
	(changes not captured here)

Changes for ae-96.2-1
	elf package
	* initial upload -- replaces ae-493
        * added #ifndef DEBIAN block in header.h
        * added #ifdef DEBIAN block in main.c

ae-2.96 -- anthony's editor Feb 96 version
kitted up for debian by Bill Mitchell <mitchell@mdd.comm.mot.com>
from sources obtained via email from the author

Local variables:
mode: debian-changelog
End:

=== ash-0.3.4-6-termios/debian/changelog ===
ash (0.3.4-6) unstable; urgency=low

  * Fixed incorrect -e test due to the last bug fix (fixes #26509).

 -- Herbert Xu <herbert@debian.org>  Tue,  8 Sep 1998 10:02:46 +1000

ash (0.3.4-5) unstable; urgency=low

  * Use test_eaccess from bash instead of access(2) (fixes #26110).

 -- Herbert Xu <herbert@debian.org>  Wed, 26 Aug 1998 21:22:49 +1000

ash (0.3.4-4) unstable; urgency=low

  * Only upload to unstable.

 -- Herbert Xu <herbert@debian.org>  Tue,  5 May 1998 18:01:02 +1000

ash (0.3.4-3) frozen unstable; urgency=low

  * Applied sparc patch (fixes #21562).

 -- Herbert Xu <herbert@debian.org>  Fri,  1 May 1998 19:48:13 +1000

ash (0.3.4-2) frozen unstable; urgency=low

  * Fixed the incorrect trap fixes (fixes #20363).

 -- Herbert Xu <herbert@debian.org>  Thu, 16 Apr 1998 21:07:10 +1000

ash (0.3.4-1) unstable; urgency=low

  * New upstream release.
  * Reverted word splitting change in 0.3.2-1 since the fix was broken and
    major work (the quote removal is done too quickly at the moment) is needed
    to fix it properly.
  * Fixed more trap noncompliance.

 -- Herbert Xu <herbert@debian.org>  Thu, 19 Mar 1998 22:59:12 +1100

ash (0.3.2-5) unstable; urgency=low

  * Fixed a bug when doing pattern matching in parameter expansions.

 -- Herbert Xu <herbert@debian.org>  Tue, 10 Mar 1998 21:25:40 +1100

ash (0.3.2-4) unstable; urgency=low

  * Allow ] to be quoted in bracket expressions (fixes #17533).
  * Move dh_fixperms to second last spot (fixes #18267).
  * Don't do field splitting in evalfor.

 -- Herbert Xu <herbert@debian.org>  Tue, 17 Feb 1998 13:32:09 +1100

ash (0.3.2-3) unstable; urgency=low

  * Fixed stupid core dump.

 -- Herbert Xu <herbert@debian.org>  Wed, 11 Feb 1998 21:33:55 +1100

ash (0.3.2-2) unstable; urgency=low

  * Hack for special builtins (fixes #18055).
  * Hack for command.

 -- Herbert Xu <herbert@debian.org>  Wed, 11 Feb 1998 21:19:46 +1100

ash (0.3.2-1) unstable; urgency=low

  * NetBSD-current version as of 19980209.
  * Fixed a word splitting problem after parameter expansion thanks to Alexey
    Marinichev.
  * Converted to debhelper (fixes #14612, #15005).

 -- Herbert Xu <herbert@debian.org>  Mon,  9 Feb 1998 16:53:48 +1100

ash (0.3.1-20) unstable; urgency=low

  * Fixed -e problem with eval.

 -- Herbert Xu <herbert@debian.org>  Sun,  7 Dec 1997 20:19:00 +1100

ash (0.3.1-19) unstable; urgency=low

  * Fixed -e problem with command substitution.

 -- Herbert Xu <herbert@debian.org>  Sun,  7 Dec 1997 19:44:49 +1100

ash (0.3.1-18) unstable; urgency=low

  * Do not link with ncurses (#15485).

 -- Herbert Xu <herbert@debian.org>  Sun, 30 Nov 1997 12:00:11 +1100

ash (0.3.1-17) unstable; urgency=low

  * Set PATH like bash (#15238).

 -- Herbert Xu <herbert@debian.org>  Wed, 26 Nov 1997 16:17:27 +1100

ash (0.3.1-16) unstable; urgency=low

  * Fixed incorrect assignment builtin code.

 -- Herbert Xu <herbert@debian.org>  Mon, 24 Nov 1997 16:19:10 +1100

ash (0.3.1-15) unstable; urgency=low

  * hash now returns error codes (needed by the Linux kernel).

 -- Herbert Xu <herbert@debian.org>  Sun, 23 Nov 1997 21:37:08 +1100

ash (0.3.1-14) unstable; urgency=low

  * Disabled word-splitting for assignment builtins.

 -- Herbert Xu <herbert@debian.org>  Sun, 23 Nov 1997 12:45:15 +1100

ash (0.3.1-13) unstable; urgency=low

  * ! is now recognised even after &&/||.

 -- Herbert Xu <herbert@debian.org>  Fri, 21 Nov 1997 22:09:05 +1100

ash (0.3.1-12) unstable; urgency=low

  * More fixes to the handling of SIGINT when forking.

 -- Herbert Xu <herbert@debian.org>  Fri, 14 Nov 1997 15:14:32 +1100

ash (0.3.1-11) unstable; urgency=low

  * Ignore SIGINT when forking non-interactively.

 -- Herbert Xu <herbert@debian.org>  Mon,  3 Nov 1997 12:00:02 +1100

ash (0.3.1-10) unstable; urgency=low

  * echo now handles options correctly.
  * echo nolonger returns 0 if erorrs occured while writing to stdout.
  * New code from GNU echo merged.
  * Error messages from test now work.

 -- Herbert Xu <herbert@debian.org>  Wed,  8 Oct 1997 21:47:13 +1000

ash (0.3.1-9) unstable; urgency=low

  * ! is recognised at pipeline level like bash.

 -- Herbert Xu <herbert@debian.org>  Mon, 15 Sep 1997 23:13:45 +1000

ash (0.3.1-8) unstable; urgency=medium

  * Old patch regarding SIGCHLD in again.

 -- Herbert Xu <herbert@debian.org>  Sun, 31 Aug 1997 11:20:27 +1000

ash (0.3.1-7) unstable; urgency=low

  * /bin/sh -e is behaving even better now (for loops within conditionals).

 -- Herbert Xu <herbert@debian.org>  Sat, 23 Aug 1997 22:08:19 +1000

ash (0.3.1-6) unstable; urgency=low

  * /bin/sh -e is behaving better now.

 -- Herbert Xu <herbert@debian.org>  Sat, 23 Aug 1997 13:16:26 +1000

ash (0.3.1-5) unstable; urgency=low

  * hash -v /dir/command doesn't coredump anymore.
  * type /dir/command now works correctly.

 -- Herbert Xu <herbert@debian.org>  Fri,  1 Aug 1997 20:48:19 +1000

ash (0.3.1-4) unstable; urgency=low

  * trap now understands symbolic signal names.

 -- Herbert Xu <herbert@debian.org>  Sat, 26 Jul 1997 14:04:46 +1000

ash (0.3.1-3) unstable; urgency=low

  * Added the builtin test command.

 -- Herbert Xu <herbert@debian.org>  Sun, 20 Jul 1997 15:00:14 +1000

ash (0.3.1-2) unstable; urgency=medium

  * Fixed a coredump involving $*.

 -- Herbert Xu <herbert@debian.org>  Sat, 19 Jul 1997 12:03:02 +1000

ash (0.3.1-1) unstable; urgency=medium

  * NetBSD-current version as of 19970715.
  * Fixed a "use after free" bug (#11294).

 -- Herbert Xu <herbert@debian.org>  Fri, 18 Jul 1997 13:48:09 +1000

ash (0.3-1) unstable; urgency=low

  * Initial Release.

 -- Herbert Xu <herbert@debian.org>  Thu, 19 Jun 1997 19:29:16 +1000

Local variables:
mode: debian-changelog
add-log-mailing-address: "herbert@debian.org"
End:

=== busybox-0.46/debian/changelog ===
busybox (0.46-1) unstable; urgency=low

  * New version released.  See changelog for details.

 -- Erik Andersen <andersee@debian.org>  Tue, 11 Jul 2000 12:15:44 -0600

busybox (0.45-1) unstable; urgency=low

  * First attempt at packaging BusyBox as a .deb.  This has been in 
    in the Debian boot-floppies CVS tree forever.  Hopefully, having it as a
    standalone app will make life easier for me, the debian-installer team, and
    everyone else as well...
  * I have created a busybox-static that can be used as a rescue shell when you 
    hose your system.  Just invoke "busybox sh" to fir up the shell.  This has
    every app provided by busybox staically linked in.  There have been several
    times in the past that I would have loved to have this sitting on my system
    (i.e. when libc gets screwed up.)

 -- Erik Andersen <andersee@debian.org>  Tue, 27 Jun 2000 12:26:41 -0600

Local variables:
mode: debian-changelog
add-log-mailing-address: "andersee@debian.org"
End:

=== procps-1.2.9/debian/changelog ===
procps (1:1.2.9-3) unstable; urgency=low

  * Linked to ncurses4

 -- Craig Small <csmall@debian.org>  Fri, 30 Oct 1998 14:13:02 +1100

procps (1:1.2.9-2) unstable; urgency=low

  * top now has spaces in between command lines (Bug #28178 )
  * --version or -V now shows proper version.

 -- Craig Small <csmall@debian.org>  Mon, 26 Oct 1998 08:55:59 +1100

procps (1:1.2.9-1) unstable; urgency=low

  * New upstream version (Bug #27573 )
  * Menu entry changed from System to Menu/System (Bug #27438 )
  * Char variables changed to int for powerpc (Bug #26624 )
  * libproc now nulls allocated structure (Bug #26225 )
  * No longer uses psdevtab (yay!) (Bug #25388 )
  * ps doesn't double space command line parameters (Bug #25306 #24293 )
  * ps now silently ignores g flag for those BSD heads (Bug #24075 )  

 -- Craig Small <csmall@debian.org>  Fri,  9 Oct 1998 09:15:11 +1000

procps (1:1.2.7-2) unstable; urgency=low

  * Top can suspend twice (or three times even) (Bug #22997 )
  * Libraries properly built (Bug #20010 )

 -- Craig Small <csmall@debian.org>  Mon,  1 Jun 1998 09:16:09 +1000

procps (1:1.2.7-1) frozen unstable; urgency=high

  * New upstream source, fixes security bug (Bug #21475)

 -- Craig Small <csmall@debian.org>  Thu, 23 Apr 1998 08:04:54 +1000

procps (1:1.2.6-2) unstable; urgency=low

  * Fixed Shared library dependencies (bugs #18388 #18394 18392 )
  * Conflicts with earlier versions of w-bassman (bug #18389 )

 -- Craig Small <csmall@debian.org>  Mon, 23 Feb 1998 09:05:54 +1100

procps (1:1.2.6-1) unstable; urgency=low

  * New upstream source.
  * xload is undiverted (Bug #17102 )
  * ps_fields.7.gz removed (Bug #18090 )
  * Colour patches removed, color-related bugs gone (Bug #18008 #17217 #18090 )
  * POSIX patches removed, cmd line bugs gone (Bug #15537 )
  * w is now an alternative w.procps (Bug #17960 )
  * skill now works with process names (Bug #17087 )
  * ps and top man pages have their field descriptions (Bug #17360 )
  * ps u fixed (Bug #17313 )
  * Source code is no longer FUBAR (Bug #17892 )
  * top now redraws screen after config screen (Bug #11896 )
  * Circular dependency removed (Bug #16966 )
  * top does mess up screens with wrong cmd line (Bug #17230 )
  * top suspends with ctrl-Z  (Bug #16703 )

 -- Craig Small <csmall@debian.org>  Tue, 17 Feb 1998 08:31:21 +1100

procps (1:1.2.5-2) unstable; urgency=low

  * Moved /bin into /bin/ps (Bug #17001 )

 -- Craig Small <csmall@debian.org>  Tue, 13 Jan 1998 07:50:43 +1100

procps (1:1.2.5-1) unstable; urgency=low

  * TTY selection works ( #16724 ) 
  * top and ps now accept --colour and *_COLOURS
  * xproc copyright file not compressed ( #14491 )
  * All #include <proc/*.h> now #include "proc/*.h" ( #13482 ) 
  * Copyright doesn't mention psmisc now ( #16704 ) 
  * Moved ps back into /bin ( #16737  #16705 )
  * New upstream source ( #16795 )

 -- Craig Small <csmall@debian.org>  Mon, 12 Jan 1998 08:35:10 +1100

procps (1:1.2.2-1) unstable; urgency=low

  * New maintainer
  * Updated upstream source to 1.2.2 (instead of 1.2)
  * Merged Helmut's color/command line patches into upstream.
  * Copyright file is not compressed ( #14493 #14415 )
  * psdatabase refreshed when installing ( #10693 )
  * Fixed +/- line in free ( #10785 #10870 #11566 #12027 #12245 #12374 )
  * w collumns corrected ( #10898 #13117 )
  * top saves sort type ( #11553 )
  * Linked to libc6 ( #11725 )
  * top doesn't coredump with S option ( #11855 )
  * skill works with given patch ( #12023 )
  * libproc-dev has proper sym link ( #12697 )
  * top -h doesn't change terminal settings ( #13513 )
  * ps -s has "CAUGHT" not "CATCHED" ( #14342 )
  * ps_colors.7 and ps_fields.7 reformatted ( #14109 #14544 #14545 )
  * ps checks for tty before using colors ( #14596 )
  * top sets stop signal handler later, stopping race ( #14769 )
  * When using POSIX personality, processes show up ( #14780 )
  * top checks for valid term type ( #15807 )
  * xproc now Depends on procps-1.2.*-* ( #10762 #13347 )
  * xproc dependencies fixed ( #12698 )

 -- Craig Small <csmall@debian.org>  Tue, 30 Dec 1997 11:33:54 +1100

procps (1.12.2.1) unstable; urgency=low

  * Non-maintainer release, built for libc6.
  * Added in free.c from new procps version 1.2.3 (from sunsite), seems to
    fix all the problems with free reporting bogus valus.

 -- Joey Hess <joeyh@master.debian.org>  Fri, 24 Oct 1997 13:34:35 -0400

procps (1.12.2) stable unstable; urgency=low

  * fixed meminfo handling again, as the fix wouldn't work on pre-2.1.x
    kernels. 
  * fixed free to use the meminfo routines from libproc.

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Fri, 13 Jun 1997 22:42:14 +0200

procps (1.12.1) stable unstable; urgency=low

  * fixed several bugs
  * replaced utmp handling to support wrappers.
  * added /proc/meminfo support for 2.1.x kernels.

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Tue, 10 Jun 1997 23:59:41 +0200

procps (1.11.6) frozen unstable; urgency=medium

  * psmisc 1.14 : new upstream version (mainly bugfixes)
  * added a lot of new serial device major numbers to the device lookup
    code. Somehow it seems there are new serial devices every other week.
  * fixed a bug in top: broken .toprc may cause a segmentation fault.

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Sun, 4 May 1997 09:50:30 +0200

procps (1.11.5) frozen unstable; urgency=medium

  * minor changes to make it compile with libc6
  * fix top behaviour on machines having nonstandard NR_TASKS up to 4k
    tasks 

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Fri, 18 Apr 1997 02:07:46 +0200

procps (1.11.4) unstable; urgency=medium

  * strip libproc.so from unneeded symbols (Bug# 8311)
  * fixed watch.1 example (Bug# 8169)
  * partly fixed fuser sigsegv core dump (Bug# 8004)
  * menu entries for xproc and procps (Bug# 8325)
  * divertions for xmem and xload. (Bug# 7565)
  


=== ae-962/debian/control ===
Source: ae
Section: base
Priority: required
Maintainer: Dale Scheetz <dwarf@polaris.net>
Standards-Version: 2.0.0.0

Package: ae
Architecture: any
Depends: ${shlibs:Depends}
Description: Anthony's Editor -- a tiny full-screen editor
 ae is a tiny full-screen text editor with both modal (vi-like)
 and modeless (emacs-like) modes, determined by an ae.rc config file.
 .
 Keybindings are configurable in the startup file.

=== ash-0.3.4-6-termios/debian/control ===
Source: ash
Section: shells
Priority: optional
Maintainer: Herbert Xu <herbert@debian.org>
Standards-Version: 2.4.0.0

Package: ash
Architecture: any
Depends: ${shlibs:Depends}
Description: NetBSD /bin/sh
 Don't install this program, you already have "bash", which is a better
 shell than "ash".
 .
 The primary virtue of "ash" is that it's small, and we take advantage of
 that by making it the shell on the installation root floppy, where space
 is at a premium. "Bash", however, has some nice features absent from
 "ash", and "bash" is a required part of the system, so there isn't much
 reason to use "ash".

=== busybox-0.46/debian/control ===
Source: busybox
Priority: optional
Maintainer: Erik Andersen <andersee@debian.org>
Build-Depends: debhelper
Standards-Version: 3.1.1

Package: busybox
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: binutils, bsdutils, console-tools, cpio, debianutils, dnsutils, dpkg, fbset, fdflush, fileutils, grep, gzip, hostname, modutils, mount, netbase, procps, psmisc, sed, sharutils, shellutils, sysklogd, sysvinit, tar, textutils, update, util-linux
Replaces: netbase
Section: utils
Description: Tiny utilities for the debian-installer and for embedded systems. 
 BusyBox combines tiny versions of many common UNIX utilities into a single
 small executable. It provides minimalist replacements for the most common
 utilities you would usually find on your desktop system (i.e. ls, cp, mv,
 mount, tar, etc).  The utilities in BusyBox generally have fewer options than
 their full-featured GNU cousins; however, the options that are included
 provide the expected functionality and behave very much like their GNU
 counterparts.
 .
 BusyBox is used by the debian-installer.  Installing BusyBox onto your Debian
 system is not recommended, unless you are intended to make a very small
 embedded system.  Chances are good that for embedded systems, you will want to
 recompile to only include the tools and utilities you wish to include.

Package: busybox-static
Architecture: any
Depends: ${shlibs:Depends}
Section: shells
Description: Provides a stand alone rescue shell with tons of builtin utilities. 
 BusyBox combines tiny versions of many common UNIX utilities into a single
 small executable. It provides minimalist replacements for the most common
 utilities you would usually find on your desktop system (i.e. ls, cp, mv,
 mount, tar, etc).  The utilities in BusyBox generally have fewer options than
 their full-featured GNU cousins; however, the options that are included
 provide the expected functionality and behave very much like their GNU
 counterparts.
 .
 BusyBox-static provides you with a statically linked simple stand alone shell
 that provides all the utilities available in BusyBox.  This package is
 intended to be used as a rescue shell, in the event that you screw up your
 system.  Invoke "busybox sh" and you have a standalone shell ready to save
 your system from certain destruction.  Invoke "busybox", and it will list the
 available builtin commands.

=== procps-1.2.9/debian/control ===
Source: procps
Section: base
Priority: required
Maintainer: Craig Small <csmall@debian.org>
Standards-Version: 2.3.0.1

Package: procps
Architecture: any
Replaces: watch
Provides: watch
Depends: ${shlibs:Depends}
Conflicts: watch, libproc-dev (<< 1:1.2.6-2), w-bassman (<< 1.0-2)
Recommends: psmisc
Description: The /proc file system utilities.
 These are utilities to browse the /proc filesystem, which is not a real file
 system but a way for the kernel to provide information about the status of
 entries in its process table. (e.g. running, stopped or "zombie")
 Both command line and full screen utilities are provided. Ncurses is needed
 for the full screen utilities.

Package: libproc-dev
Architecture: any
Section: devel
Priority: optional
Depends: libc6-dev, procps (>> 1:1.2.9-0), procps (<< 1:1.2.10-0)
Description: library for accessing process information from /proc
 These are the header files and static library manpages for 
 libproc. Some packages using libproc to access process information
 from /proc need these to compile.

Package: xproc
Architecture: any
Section: admin
Priority: optional
Depends: ${shlibs:Depends}
Description: some tools to display process information on X
 This package includes some X programs displaying load, memory use or
 cpu states.

=== ae-962/debian/rules ===
#! /usr/bin/make -f
#
# Invoke each target with `./debian/rules <target>'.  All targets should be
# invoked with the package root as the current directory.
#
# The `binary' target must be run as root, as it needs to install files with
# specific ownership.

CC = gcc
CFLAGS = -O2 -DDEBIAN -DTERMIOS -DBADCURSES # ncurses terminfo
# CFLAGS = -g -DDEBIAN -DTERMIOS -DBADCURSES # debugging ncurses terminfo
# CFLAGS = -O2 -DDEBIAN -DTERMCAP -DBADCURSES # termcap
# CFLAGS = -g -DDEBIAN -DTERMCAP # debugging termcap
LDFLAGS = -s
# LDFLAGS = # debugging
prefix=/usr
# LIBS = -lcurses -ltermcap # termcap
LIBS = -lncurses # terminfo

package=ae

build:
	$(checkdir)
# Builds the binary package.
	make CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" LIBS="$(LIBS)"
	touch build

clean:
# Undoes the effect of `make -f debian/rules build'.
	$(checkdir)
	rm -f build stamp-build
	rm -f *.o ae core
	rm -rf *~ debian/tmp debian/*~

binary-indep:
# None--
	@echo >&2 'No architecture independant portions'; false

binary binary-arch:	checkroot build
	rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install -d debian/tmp/usr/doc/$(package)
	cp debian/copyright debian/tmp/usr/doc/$(package)
	cp debian/preinst debian/tmp/DEBIAN/.
	cp debian/conffiles debian/tmp/DEBIAN/conffiles
	chmod +x debian/tmp/DEBIAN/preinst
	install -d debian/tmp/bin
	install -s ./ae debian/tmp/bin/.
	cp vi.sh debian/tmp/bin/vi
	install -d debian/tmp/etc
	install -m 644 debian.modeless.ti debian/tmp/etc/ae.rc
	install -m 644 ae2vi.rc debian/tmp/etc/ae2vi.rc
	install -d debian/tmp/usr/man/man1
	install -m 644 debian.ae.1 debian/tmp/usr/man/man1/ae.1
	install -d debian/tmp/usr/doc/ae
	install -m 644 ae.man debian/tmp/usr/doc/ae/ae.man
	install -m 644 debian.modeless.ti \
		debian/tmp/usr/doc/ae/debian.modeless.ti
	install -m 644 mode.rc debian/tmp/usr/doc/ae/mode.rc
	install -m 644 modeless.pc debian/tmp/usr/doc/ae/modeless.pc
	install -m 644 modeless.rc debian/tmp/usr/doc/ae/modeless.rc
	install -m 644 modeless.tc debian/tmp/usr/doc/ae/modeless.tc
	install -m 644 modeless.ti debian/tmp/usr/doc/ae/modeless.ti
	gzip -9f debian/tmp/usr/doc/ae/*
	gzip -9f debian/tmp/usr/man/man1/ae.1
	dpkg-shlibdeps $(package)
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

define checkdir:
	test -f $(package).man -a -f debian/rules
endef

checkroot:
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

=== ash-0.3.4-6-termios/debian/rules ===
#!/usr/bin/make -f
# $Id: rules,v 1.11 1998/03/11 10:26:44 herbert Exp $

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	pmake CFLAGS='-O2 -g -Wall -DBSD -DSMALL -DSHELL -D__COPYRIGHT\(x\)= \
		-D__RCSID\(x\)= -I. -I$${.CURDIR} $${COPTS}' YACC=byacc

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	pmake clean
	rm -f sh.cat1 mksignames signames.h

	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	install sh debian/tmp/bin/ash
	install -m 644 sh.1 debian/tmp/usr/man/man1/ash.1

	dh_installdocs TOUR
	dh_installexamples
	dh_installmenu
#	dh_installinit
	dh_installcron
	dh_installmanpages sh.1 echo.1
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

=== busybox-0.46/debian/rules ===
#!/usr/bin/make -f

# This is a bit unusual, in that I have to completely recompile everything
# twice.  The first is the normal, dynamically linked package.  The second is
# for the statically linked package.  This file has been adjusted accordingly.

# This is the debhelper compatability version to use.
export DH_COMPAT=1

bb=debian/tmp
bbs=debian/busybox-static

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp-busybox build-stamp-busybox-static
	-$(MAKE) clean
	-rm -rf $(bb) $(bbs)
	dh_clean

half_clean:
	dh_testdir
	dh_testroot
	rm -rf $(bbs) build-stamp-busybox-static
	-$(MAKE) clean

build: build-stamp-busybox
build-stamp-busybox:
	dh_testdir
	$(MAKE)
	touch build-stamp-busybox

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) "PREFIX=$(bb)" install
	mkdir -p $(bb)/usr/share/man/man1
	cp docs/BusyBox.1 $(bb)/usr/share/man/man1/busybox.1

# Now for the statically linked stuff
build-static: build-stamp-busybox-static
build-stamp-busybox-static:
	dh_testdir
	$(MAKE) DOSTATIC=true
	touch build-stamp-busybox-static

install-static: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# Do not run 'make install', since we do not want all the symlinks. 
	# This just installes the busybox binary...
	#$(MAKE) "PREFIX=$(bbs)" install
	mkdir -p $(bbs)/bin/
	cp busybox $(bbs)/bin/busybox
	mkdir -p $(bbs)/usr/share/man/man1/
	cp docs/BusyBox.1 $(bbs)/usr/share/man/man1/busybox.1

do_static: half_clean build-static install-static


# Build architecture-independent files here.
binary-indep:
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: busybox busybox-static

busybox: install
	@echo "--- Building: $@"
	dh_testdir
	dh_testroot
	dh_installdirs
	#
	#Note that for busybox, we do not install any docs,
	# or man apges or anything else.  This is in blatent violation of every
	# Debian policy out there, since this package is intended to be used
	# _only_ by the debian-installer.
	#
	#dh_installdocs       -p$@ docs/BusyBox.txt \
	#	docs/BusyBox.html docs/busybox.lineo.com AUTHORS README TODO
	#rm -rf $(bb)/usr/share/doc/busybox/busybox.lineo.com/CVS \
	#	$(bb)/usr/share/doc/busybox/busybox.lineo.com/.cvsignore \
	#	$(bb)/usr/share/doc/busybox/busybox.lineo.com/images/CVS \
	#	$(bb)/usr/share/doc/busybox/busybox.lineo.com/images/.cvsignore
	#dh_undocumented      -p$@
	dh_installchangelogs -p$@ Changelog
	dh_strip             -p$@
	dh_compress          -p$@
	dh_fixperms          -p$@
	dh_installdeb        -p$@
	dh_shlibdeps         -p$@
	#
	#Make _very_ sure there are no docs lurking about.
	#
	rm -rf $(bb)/usr/share/doc
	rm -rf $(bb)/usr/share/man
	dh_gencontrol        -p$@
	dh_md5sums           -p$@
	dh_builddeb          -p$@


busybox-static: do_static
	@echo "--- Building: $@"
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_installdocs       -p$@ docs/BusyBox.txt \
		docs/BusyBox.html docs/busybox.lineo.com AUTHORS README TODO
	rm -rf $(bbs)/usr/share/doc/busybox-static/busybox.lineo.com/CVS \
		$(bbs)/usr/share/doc/busybox-static/busybox.lineo.com/.cvsignore \
		$(bbs)/usr/share/doc/busybox-static/busybox.lineo.com/images/CVS \
		$(bbs)/usr/share/doc/busybox-static/busybox.lineo.com/images/.cvsignore
	dh_undocumented      -p$@
	dh_installchangelogs -p$@ Changelog
	dh_strip             -p$@
	dh_compress          -p$@
	dh_fixperms          -p$@
	dh_installdeb        -p$@
	dh_shlibdeps         -p$@
	dh_gencontrol        -p$@
	dh_md5sums           -p$@
	dh_builddeb          -p$@


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== procps-1.2.9/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independant
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1
prefix=$(shell expr `pwd`/debian/tmp)
xp-prefix=$(shell expr `pwd`/debian/xproc)
lp-prefix=$(shell expr `pwd`/debian/libproc-dev)

build: build-stamp
build-stamp:
	dh_testdir
	# Add here commands to compile the pacckage.
	-mkdir static 
	cd proc ; $(MAKE)      
	cp proc/libproc.* static
	cd proc ; $(MAKE) clean
	-$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -rf static
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	dh_clean

# Build architecture-independent files here.
binary-indep: build

# Build architecture-dependent files here.
# This is to build procps, see below for the other packages
binary-arch: build
	dh_testdir -a
	dh_testroot -a
	dh_clean -a -k
	dh_installdirs -a
	# Add here commands to install the files into debian/tmp
	#$(MAKE) prefix=`pwd`/debian/tmp install
	$(MAKE) install DESTDIR=$(prefix)
	(cd $(prefix)/usr/bin ; mv w w.procps )
	(cd $(prefix)/usr/man/man1 ; mv w.1 w.procps.1 )
	# Next is the xproc stuff
	install -m 755 -o root -g root xproc/XConsole.man $(xp-prefix)/usr/X11R6/man/man1/XConsole.1x
	# 
	# Finally, the libproc-dev stuff
	install -m 644 -o root -g root static/libproc.a $(lp-prefix)/usr/lib
	for i in `ls proc/*.h` ; do install -m 644 -o root -g root $$i $(lp-prefix)/usr/include/proc ; done
	(cd $(lp-prefix)/usr/lib && ln -sf /lib/libproc.so.1.2.6 libproc.so )
	#
	#
	dh_movefiles -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
#	dh_installinit -a
#	dh_installmanpages -a
#	dh_undocumented
	dh_installchangelogs -a NEWS
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_suidregister -a
	dh_installdeb -a
	dh_shlibdeps -pprocps -u"-Ldebian/procps.shlibs.local"
	dh_shlibdeps -plibproc-dev
	dh_shlibdeps -pxproc
	dh_gencontrol -a 
	dh_makeshlibs -a -m1.2.6 -V'procps (>> 1:1.2.7-0), procps (<< 1:1.2.8-0)'
	dh_md5sums -a
	dh_builddeb -a

binary-xproc: checkroot build
	dh_testdir -a
	dh_testroot -a
	dh_clean -a -k
	dh_installdirs -a
	# Add here commands to install the files into debian/tmp
	#$(MAKE) prefix=`pwd`/debian/tmp install
	prefix=`pwd`/debian/xproc
	install xproc/XConsole $(prefix)/usr/X11R6/bin
	install xcpustate/xcpustate $(prefix)/usr/X11R6/bin
	install xproc/XConsole.man $(prefix)/usr/X11R6/man/man1/XConsole.1x
	install xcpustate/xcpustate.man $(prefix)/usr/X11R6/man/man1/xcpustate.1x
	-gzip -9vfr $(prefix)/usr/X11R6/man
	dh_installdocs -a
	dh_installchangelogs -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_suidregister -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a


binary-libproc: checkroot build
	dh_testdir -a
	dh_testroot -a
	dh_clean -a -k
	dh_installdirs -a
	# Add here commands to install the files into debian/tmp
	#$(MAKE) prefix=`pwd`/debian/tmp install
	prefix=`pwd`/debian/libproc-dev
	install -m 644 proc/libproc.3 $(prefix)/usr/man/man3
	install -m 644 proc/libproc_dev.3 $(prefix)/usr/man/man3
	install -m 644 proc/libproc_output.3 $(prefix)/usr/man/man3
	install -m 644 proc/openproc.3 $(prefix)/usr/man/man3
	install -m 644 proc/readproc.3 $(prefix)/usr/man/man3
	install -m 644 proc/readproctab.3 $(prefix)/usr/man/man3
	install -m 644 proc/templ.3 $(prefix)/usr/man/man3
	-gzip -9vfr $(prefix)/usr/man
	dh_installdocs -a
	dh_installchangelogs -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_suidregister -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

	

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch 
.PHONY: build clean binary-indep binary-arch binary

=== procps-1.2.9/debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
sunsite.unc.edu	/pub/Linux/Incoming	procps-*.tar.gz	debian	uupdate
